1.32.0-wmf.13 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.13
Release Date
1531699200

2018 week 29 1.32-wmf.13 Changes wmf/1.32-wmf.13

This MediaWiki Train Deployment is scheduled for the week of Monday, July 16th:

Monday July 16thTuesday, July 17thWednesday, July 18thThursday, July 19thFriday
SWAT deployments onlyBranch wmf.13, Deploy to Group 0 WikisDeploy wmf.13 to Group 1 WikisDeploy wmf.13 to all WikisNo deployments on fridays

How this works

  • Any serious bugs affecting wmf.13 should be added as subtasks beneath this one.
    • Use the Edit Related Tasks menu to add one.
  • Any open subtasks block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should contact someone on the #wikimedia-operations IRC channel.

Related Links

Other Deployments

Previous: 1.32.0-wmf.12
Next: 1.32.0-wmf.14
greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Normal priority.Mar 29 2018, 6:16 PM
greg assigned this task to zeljkofilipin.Jul 5 2018, 5:24 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.Jul 9 2018, 5:30 PM
zeljkofilipin added a subscriber: zeljkofilipin.

Will assign back to me next week when I start working on it.

According to task description:

Any open subtasks block the train from moving forward. This means no further deployments until the blockers are resolved.

I am not moving forward with train because there are two open subtasks.

Krinkle raised the priority of this task from Normal to High.Jul 21 2018, 8:49 PM
Krinkle added subscribers: Prtksxna, matmarex, Krinkle.
This comment was removed by Krinkle.
Krinkle lowered the priority of this task from High to Normal.Jul 21 2018, 8:51 PM

For T199983 there is a fix in place that allows to move on with the train (in the light of that bug). The task stays open for now, though. How should this marked here? Remove T199983 as the subtask?

Change 447620 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[operations/mediawiki-config@master] all wikis to 1.32.0-wmf.13

https://gerrit.wikimedia.org/r/447620

Change 447620 abandoned by Zfilipin:
all wikis to 1.32.0-wmf.13

Reason:
reverting group 2 to 1.32.0-wmf.12

https://gerrit.wikimedia.org/r/447620

zeljkofilipin closed this task as Resolved.Jul 24 2018, 5:44 PM

Deployed to all wikis.